FROM mariadb:11-jammy

RUN apt update
RUN apt install -y curl wget zip unzip xz-utils galera-4

COPY entrypoint.sh /usr/local/bin/entrypoint.sh
RUN chmod +x /usr/local/bin/entrypoint.sh

COPY .bash_history /root/.bash_history

ENTRYPOINT ["entrypoint.sh"]
CMD [ "mariadbd" ]
